• Resolved weblink

    (@weblink)


    Since I upgraded to php7 the plugin seems not to be able to authorize. It just goes blank and does nto return.
    Do I need to change something on the hosting service or is it related to the plugin? This happens unrelated to themes and plugins but started since the upgrade to php7.0. I love the plugin, so thanks for helping!
    Error message:
    Last Error: 2017-10-08 20:13:01: Deconf_IO_Exception: The stream IO handler requires the allow_url_fopen runtime configuration to be enabled in /home/xxxx/public_html/wp-content/plugins/google-analytics-dashboard-for-wp/tools/src/Deconf/IO/Stream.php:51
    Stack trace:
    #0 /home/xxxx/public_html/wp-content/plugins/google-analytics-dashboard-for-wp/tools/src/Deconf/Client.php(629): Deconf_IO_Stream->__construct(Object(Deconf_Client))
    #1 /home/xxxx/public_html/wp-content/plugins/google-analytics-dashboard-for-wp/tools/src/Deconf/Auth/OAuth2.php(112): Deconf_Client->getIo()
    #2 /home/xxxx/public_html/wp-content/plugins/google-analytics-dashboard-for-wp/tools/src/Deconf/Client.php(128): Deconf_Auth_OAuth2->authenticate(‘4/aGmVD1VPGm8_F…’, false)
    #3 /home/xxxx/public_html/wp-content/plugins/google-analytics-dashboard-for-wp/admin/settings.php(1100): Deconf_Client->authenticate(‘4/aGmVD1VPGm8_F…’)
    #4 /home/xxxx/public_html/wp-includes/class-wp-hook.php(298): GADWP_Settings::general_settings(”)
    #5 /home/xxxx/public_html/wp-includes/class-wp-hook.php(323): WP_Hook->apply_filters(”, Array)
    #6 /home/xxxx/public_html/wp-includes/plugin.php(453): WP_Hook->do_action(Array)
    #7 /home/xxxx/public_html/wp-admin/admin.php(222): do_action(‘toplevel_page_g…’)
    #8 {main}

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hi,

    You should enable PHP cURL with SSL support. Minimum requirements can be found here.

    Thread Starter weblink

    (@weblink)

    Thank you so much for your reply. I had the hosting company enable cURL and that solved the problem with this plugin and many more issues I was experincing.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Issues with php7.0?’ is closed to new replies.